Bug 8092 - VFS module smb_traffic_analyzer ends with "VFS make connection failed"
VFS module smb_traffic_analyzer ends with "VFS make connection failed"
Status: RESOLVED FIXED
Product: smbta
Classification: Unclassified
Component: vfs_smb_traffic_analyzer
unspecified
Sparc Solaris
: P5 normal
: ---
Assigned To: Holger Hetterich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 08:32 UTC by Ralf Weinert
Modified: 2011-04-20 22:34 UTC (History)
0 users

See Also:


Attachments
Attached file contains smbd.conf and the output of log.smbd (5.78 KB, application/octet-stream)
2011-04-18 08:32 UTC, Ralf Weinert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Weinert 2011-04-18 08:32:28 UTC
Created attachment 6410 [details]
Attached file contains smbd.conf and the output of log.smbd

Connecting to a share that activates the VFS module always ends with an error message "VFS make connection failed".
Comment 1 Holger Hetterich 2011-04-19 18:15:06 UTC
Ralf,

from the share definition in your smb.conf, it's telling me you are running protocol V1. The message in the logs is telling me that obviously there is no data sink for the module running at the specified host. Which program do you use at the receiver?

smbtad is not capable to speak protocol version 1, only version 2.

Version 1 is insecure (which might not be a matter in local networks), is not marshalling in a good way (specific filenames can break it's encoding), and it is not extendable.

By the time version 1 of the protocol was current, SMBTA was a tech demo more or less, showing the potiential. Nevertheless, a few people decided to run it. That is the reason the protocol setting defaults to v1 until today, even if most probably no one is using it anymore. Since I've gotten no user feedback for protocol 1 users since years, I plan to make V2 the default with the release of Samba 3.6.0.

I highly recommend you to use protocol version 2. It fixes a lot of the issues version 1 had, and can run crypted, and is extendable while staying compatible with an older receiver. Last but not least, Version 2 of the protocol features excellent documentation, there is a user base and a team of developers are present.

The protocol 2 implementation of SMBTA will be officially released with Samba 3.6.0, It is available in the Samba 3.6.0pre1 and Samba 3.6.0pre2 releases, and several backports exist, such as for SUSE ( from 3.5.0 on, on buildservice), or Gentoo Linux comes with SMBTA support by default.
Comment 2 Ralf Weinert 2011-04-20 06:09:17 UTC
Hallo Holger,

thanks for your comments. It's correct, I'm using SMBTAD running with protocol V1. I got your SMB Traffic Analyzer Guide Version 1.2.3, Mar 2011. Under paragraph 4.1.1 setting up SMBTA - Internet socket - I read that SMBTA uses protocol V1 by default. And only if the version parameter V2 is explicitly given, SMBTA is forced to use protocol V2. So I thought running both with protocol level 1 will satisfy.

Okay, I'll try the smb_traffic_analyzer V2 when SAMBA 3.6.0 is officially released.

Ralf
Comment 3 Holger Hetterich 2011-04-20 22:34:30 UTC
Ralf, thank you. I'll update the documentation to make some facts more clear.